Create Webhook Endpoint

View as Markdown
Create a new webhook endpoint. The signing secret is only returned once at creation time. Store it securely as it cannot be retrieved again.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

account_idstringRequired

Request

This endpoint expects an object.
urlstringRequired
The URL to receive webhook events
eventslist of stringsRequired
List of event types to subscribe to
descriptionstring or nullOptional<=500 characters
Optional description for the webhook endpoint

Response

Successful Response
idstring
Unique webhook endpoint identifier
urlstring
The URL receiving webhook events
eventslist of strings
List of subscribed event types
is_activeboolean
Whether the webhook endpoint is active
is_protectedboolean
Whether the webhook endpoint is protected from deletion
is_blacklistedboolean
Whether the webhook endpoint is blacklisted due to consecutive delivery failures
consecutive_failuresinteger

Number of consecutive delivery failures (resets on success)

created_atdatetime
When the webhook endpoint was created
updated_atdatetime
When the webhook endpoint was last updated
signing_secretstring
Signing secret for verifying webhook payloads
descriptionstring or nullOptional
Webhook endpoint description
blacklisted_atdatetime or nullOptional

When the webhook endpoint was blacklisted (null if not blacklisted)

last_failed_deliveryobject or nullOptional

Information about the last failed delivery (only included for blacklisted endpoints)

Errors

422
Unprocessable Entity Error